Ciele
Help desk

One Help Desk with ordered channels

GET/api/v1/help-desks/{id}

Hai bisogno di una chiave API dell'organizzazione con la capability member.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/help-desks/string"
{  "desk": {    "id": "string",    "description": "string",    "name": "string",    "organizationId": "string",    "createdAt": "string",    "updatedAt": "string",    "autoGenerateImprovements": true,    "ticketingIntegration": null  },  "channels": [    {      "id": "string",      "name": "string",      "createdAt": "string",      "updatedAt": "string",      "enabled": true,      "position": 0,      "kind": "external_link",      "helpDeskId": "string",      "formTitle": "string",      "form": [        {          "id": null,          "type": null,          "label": null,          "placeholder": null,          "usePlaceholderAsDefault": null,          "useAsReplyTo": null,          "required": null,          "showInForm": null,          "options": null        }      ],      "confirmationMessage": "string",      "conversationData": {        "chatSummary": null,        "fullChatHistory": null,        "userData": null,        "metadata": null      },      "availability": {        "mode": null,        "timezone": "string",        "hours": {          "monday": null,          "tuesday": null,          "wednesday": null,          "thursday": null,          "friday": null,          "saturday": null,          "sunday": null        }      },      "config": {        "authType": null,        "url": null,        "headers": null,        "queryParams": null,        "destinationEmail": null,        "phoneNumber": null,        "phoneCountry": null,        "apiKeyHeaderName": null,        "basicUsername": null,        "hasApiKey": null,        "hasBearerToken": null,        "hasBasicPassword": null      }    }  ]}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}